export function findStationsByDistancePipeline(count: number, latitude: string, longitude: string) {
  const numericLatitude = parseFloat(latitude)
  const numericLongitude = parseFloat(longitude)
  const pipeline = [
    {
      '$geoNear': {
        'near': {
          'type': 'Point', 
          'coordinates': [
            numericLongitude, numericLatitude
          ]
        }, 
        'distanceField': 'distance'
      }
    }, {
      '$limit': count
    }, {
      '$addFields': {
        'miles': {
          '$divide': [
            {
              '$round': {
                '$multiply': [
                  {
                    '$divide': [
                      '$distance', 1609.34
                    ]
                  }, 4
                ]
              }
            }, 4
          ]
        }
      }
    }, {
      '$project': {
        '_id': 0, 
        '3ALPHA': 1, 
        'NLCDESC': 1, 
        'miles': 1
      }
    }
  ]

  //console.log(JSON.stringify(pipeline))
  return pipeline
}